VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vapi::metadata::metamodel::StructureInfo::Type Class Reference

The `StructureInfo.Type` enumerated type defines the kind of this structure element. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, STRUCTURE, ERROR }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Type[] | GetValues ()
static Type | ValueOf (string name)
## Static Public Attributes
static readonly Type | STRUCTURE = new Type("STRUCTURE", Values.STRUCTURE)
| If the type is a structure element.
static readonly Type | ERROR = new Type("ERROR", Values.ERROR)
| If the type is an error element.

## Detailed Description

The `StructureInfo.Type` enumerated type defines the kind of this structure element.

In the interface definition language, structure element and error element have similar characteristics. The difference is that only error elements can be used to describe the errors of an operation element.

## Member Enumeration Documentation

enum vmware::vapi::metadata::metamodel::StructureInfo::Type::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  STRUCTURE | If the type is a structure element.
  ERROR | If the type is an error element.

## Member Function Documentation

Values vmware::vapi::metadata::metamodel::StructureInfo::Type::GetEnumValue | ( |  | ) | `[inline]`

static Type [] vmware::vapi::metadata::metamodel::StructureInfo::Type::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vapi::metadata::metamodel::StructureInfo::Type::IsUnknown | ( |  | ) | `[inline]`

static Type vmware::vapi::metadata::metamodel::StructureInfo::Type::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Type vmware::vapi::metadata::metamodel::StructureInfo::Type::ERROR = new Type("ERROR", Values.ERROR)`[static]`

If the type is an error element.

readonly Type vmware::vapi::metadata::metamodel::StructureInfo::Type::STRUCTURE = new Type("STRUCTURE", Values.STRUCTURE)`[static]`

If the type is a structure element.

The documentation for this class was generated from the following file:

- StructureInfo.cs